Shopware\Bundle\EmotionBundle\ComponentHandler\EventComponentHandler is deprecated

Liebes Forum :slight_smile: :slight_smile:

ich erhalte seit Shopware 5.4.6 ständig Errormails für diverse Seiten in der Art:

Shopware\Bundle\EmotionBundle\ComponentHandler\EventComponentHandler is deprecated since 5.3 and will be removed with 6.0. Implement a ComponentHandler instead for performance benefit.
2019-08-04T08:26:29.196689+0200
core
{
    “uri”: “/widgets/emotion/index/emotionId/238/controllerName/index”,
    “method”: “GET”,
    “query”: {
        “module”: “widgets”,
        “controller”: “emotion”,
        “action”: “index”,
        “emotionId”: “238”,
        “controllerName”: “index”
    },
    “post”:
}
No session data available
1
meinshop

  1. Wie ersetzt man Shopware\Bundle\EmotionBundle\ComponentHandler\EventComponentHandler konkret ?

  2. Auch das ist ja nur deprecated. Darauf aufmerksam gemacht zu werden ist ja ok, aber ständig mit solchen E-Mails ist nicht so ok. Kann man das irgendwie ausschalten ?

Für die folgende ständige Meldung gilt dasselbe

Shopware\Components\Model\QueryBuilder::Shopware\Components\Model\QueryBuilder::setParameters() is deprecated. Please use setParameter().

2019-08-04T00:13:57.692933+0200

core

{

    “uri”: “/backend/Article/loadStores?_dc=1564870436234&articleId=518&page=1&start=0&limit=25”,

    “method”: “GET”,

    “query”: {

        “_dc”: “1564870436234”,

        “articleId”: “518”,

        “page”: “1”,

        “start”: “0”,

        “limit”: “25”,

        “module”: “backend”,

        “controller”: “Article”,

        “action”: “loadStores”

    },

    “post”:

}

No shop data available

{

    “userId”: “50”,

    “roleId”: “1”

}

Push